org.apache.cassandra.auth

## Class AuthMigrationListener

- java.lang.Object
- - org.apache.cassandra.service.MigrationListener
  - - org.apache.cassandra.auth.AuthMigrationListener

    public class AuthMigrationListener
    extends MigrationListener

MigrationListener implementation that cleans up permissions on dropped resources.

### Constructor Summary

Constructors
Constructor and Description
`AuthMigrationListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDropAggregate(java.lang.String ksName, java.lang.String aggregateName, java.util.List<AbstractType<?>> argTypes)`
`void` `onDropColumnFamily(java.lang.String ksName, java.lang.String cfName)`
`void` `onDropFunction(java.lang.String ksName, java.lang.String functionName, java.util.List<AbstractType<?>> argTypes)`
`void` `onDropKeyspace(java.lang.String ksName)`

### Methods inherited from class org.apache.cassandra.service.MigrationListener

`onCreateAggregate, onCreateColumnFamily, onCreateFunction, onCreateKeyspace, onCreateUserType, onDropUserType, onUpdateAggregate, onUpdateColumnFamily, onUpdateFunction, onUpdateKeyspace, onUpdateUserType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthMigrationListener

    public AuthMigrationListener()

### Method Detail

#### onDropKeyspace

    public void onDropKeyspace(java.lang.String ksName)

Overrides:
  `onDropKeyspace` in class `MigrationListener`

#### onDropColumnFamily

    public void onDropColumnFamily(java.lang.String ksName,
                                   java.lang.String cfName)

Overrides:
  `onDropColumnFamily` in class `MigrationListener`

#### onDropFunction

    public void onDropFunction(java.lang.String ksName,
                               java.lang.String functionName,
                               java.util.List<AbstractType<?>> argTypes)

Overrides:
  `onDropFunction` in class `MigrationListener`

#### onDropAggregate

    public void onDropAggregate(java.lang.String ksName,
                                java.lang.String aggregateName,
                                java.util.List<AbstractType<?>> argTypes)

Overrides:
  `onDropAggregate` in class `MigrationListener`